server:
  port: 5432
  maxHttpHeaderSize: 102400
spring:
  cloud:
    loadbalancer:
      retry: enabled=true
  application:
    name: sr-gateway
  jmx:
    enabled: false
zuul:
  routes:
    mdm:
      path: /mdm/**
      serviceId: mdm
    kpim:
      path: /kpim/**
      serviceId: kpim
    rpm: 
      path: /rpm/** 
      serviceId: rpm
    account: 
      path: /account/** 
      serviceId: account
    da: 
      path: /da/** 
      serviceId: da
  ribbon:
    eager-load:
      enabled: true
  max:
    host:
      connections: 500
  host:
    socket-timeout-millis: 60000
    connect-timeout-millis: 60000
ribbon:
  ReadTimeout: 600000
  ConnectTimeout: 600000
  MaxAutoRetries: 0
  MaxAutoRetriesNextServer: 0
  eureka:
    enabled: true
execution:
  timeout:
    enabled: false
hystrix:
  command:
    default:
      execution:
        timeout:
          enabled: false
        isolation:
          thread:
            timeoutInMilliseconds: 6000000
feign:
  hystrix: enabled = false